Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
05.08.2021, 06:27:38

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 25805
  • Letzte: antaresc
Statistiken
  • Beiträge insgesamt: 748239
  • Themen insgesamt: 60197
  • Heute online: 412
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 5
Gäste: 197
Gesamt: 202

Autor Thema: [gelöst]  Python-pip installiert Paket unter Python2.7 statt 3.7  (Gelesen 252 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] Python-pip installiert Paket unter Python2.7 statt 3.7
« am: 27.11.2020, 20:11:19 »
Umgebung: LM 19 Cinnamon

Hallo Zusammen,

ich würde gern auf das Python-Paket-Archiv zugreifen und habe über Synaptic Python-Pip installiert. Im Terminal habe ich mit "pip install <paketname>" das gewünschte Paket installiert.

Beim Zugriff in Python auf das Modul erhalte ich dann die Fehlermeldung, es sei nicht vorhanden. Das Modul wurde unter Python2.7 statt 3.7 installiert.

chris@chris-ThinkPad-X240:~/RasPi$ pip show w1thermsensor
Name: w1thermsensor
Version: 1.3.0
Summary: This little pure python module provides a single class to get the temperature of a w1 sensor
Home-page: http://github.com/timofurrer/w1thermsensor
Author: Timo Furrer
Author-email: tuxtimo@gmail.com
License: MIT
Location: /home/chris/.local/lib/python2.7/site-packages
Requires: click
chris@chris-ThinkPad-X240:~/RasPi$ ./data.py
Traceback (most recent call last):
  File "./data.py", line 11, in <module>
    from w1thermsensor import W1ThermSensor
ModuleNotFoundError: No module named 'w1thermsensor'
chris@chris-ThinkPad-X240:~/RasPi$ ls /home/chris/.local/lib/python2.7/site-packages
click  click-7.1.2.dist-info  w1thermsensor  w1thermsensor-1.3.0.dist-info
chris@chris-ThinkPad-X240:~/RasPi$ ls /home/chris/.local/lib/python3.7/site-packages
chris@chris-ThinkPad-X240:~/RasPi$

Darf ich einfach die site-packages unter Python2.7 unter Python3.7 verschieben? Wie vermeide ich zukünftig die Zuordnung zu Python2.7? Ich hatte gelernt, daß Python 2 eben noch da ist, weil ältere Software damit läuft, ich mich aber nicht darum kümmern muß, wenn ich mit Python3 arbeite.

Grüße
Chris
« Letzte Änderung: 27.11.2020, 20:56:17 von Chris7 »

Re: Python-pip installiert Paket unter Python2.7 statt 3.7
« Antwort #1 am: 27.11.2020, 20:44:06 »
Für python3

pip3 install <paketname>"

Re: Python-pip installiert Paket unter Python2.7 statt 3.7
« Antwort #2 am: 27.11.2020, 20:55:58 »
Vielen Dank. Einfache Lösung. Die Installationsanleitung war wohl schon etwas älter.